Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/skytraq-datalogger: new aport

From: Mika Havela <mika.havela_at_gmail.com>
Date: Wed, 19 Sep 2012 19:24:55 +0000

---
 testing/skytraq-datalogger/APKBUILD              | 43 ++++++++++++++++++++++++
 testing/skytraq-datalogger/Makefile.patch        |  8 +++++
 testing/skytraq-datalogger/agps-download.c.patch | 10 ++++++
 3 files changed, 61 insertions(+)
 create mode 100644 testing/skytraq-datalogger/APKBUILD
 create mode 100644 testing/skytraq-datalogger/Makefile.patch
 create mode 100644 testing/skytraq-datalogger/agps-download.c.patch
diff --git a/testing/skytraq-datalogger/APKBUILD b/testing/skytraq-datalogger/APKBUILD
new file mode 100644
index 0000000..a025632
--- /dev/null
+++ b/testing/skytraq-datalogger/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor: Mika Havela <mika.havela_at_gmail.com>
+# Maintainer: Mika Havela <mika.havela_at_gmail.com>
+pkgname=skytraq-datalogger
+pkgver=0.5.1
+_pkgver=0.5-1
+pkgrel=0
+pkgdesc="Configuration and download tool for GPS data loggers based on Skytraq Venus 5 and 6 chipsets"
+url="http://code.google.com/p/skytraq-datalogger/"
+arch="all"
+license="GNU GPL v2"
+depends=""
+depends_dev="curl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://${pkgname}.googlecode.com/files/${pkgname}_${_pkgver}.tar.gz
+Makefile.patch
+agps-download.c.patch"
+
+_builddir="$srcdir/${pkgname}-${_pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e691f9092f63c7100313a9881ff100d4  skytraq-datalogger_0.5-1.tar.gz
+5939083bf1ac066967f2489a21691ac5  Makefile.patch
+4111c54fd124ef7a1aad49c585cd46e4  agps-download.c.patch"
diff --git a/testing/skytraq-datalogger/Makefile.patch b/testing/skytraq-datalogger/Makefile.patch
new file mode 100644
index 0000000..fd9a696
--- /dev/null
+++ b/testing/skytraq-datalogger/Makefile.patch
_at_@ -0,0 +1,8 @@
+--- skytraq-datalogger-0.5-1/Makefile
++++ ./Makefile
+_at_@ -18,4 +18,5 @@
+ 	rm -f *.o $(PROG) test
+ 
+ install:
++	mkdir -p $(DESTDIR)/$(PREFIX)
+ 	cp  $(PROG)  $(DESTDIR)/$(PREFIX)
diff --git a/testing/skytraq-datalogger/agps-download.c.patch b/testing/skytraq-datalogger/agps-download.c.patch
new file mode 100644
index 0000000..150a326
--- /dev/null
+++ b/testing/skytraq-datalogger/agps-download.c.patch
_at_@ -0,0 +1,10 @@
+--- skytraq-datalogger-0.5-1/agps-download.c
++++ ./agps-download.c
+_at_@ -3,7 +3,6 @@
+ #include <string.h>
+ 
+ #include <curl/curl.h>
+-#include <curl/types.h>
+ #include <curl/easy.h>
+ 
+ #define EPHERMIS_URL "ftp://skytraq:skytraq_at_60.250.205.31/ephemeris/Eph.dat"
-- 
1.7.12
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Sep 19 2012 - 19:24:55 UTC